netinst d-i fails on armhf

Bug #984007 reported by Robie Basak on 2012-04-17
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
The Eilt project
Critical
Adam Conrad
debian-installer (Ubuntu)
Critical
Adam Conrad
initramfs-tools (Ubuntu)
Critical
Adam Conrad
mklibs (Ubuntu)
Critical
Adam Conrad

Bug Description

Steps to reproduce:

Using current uImage and uInitrd images from http://ports.ubuntu.com/ubuntu-ports/dists/precise/main/installer-armhf/current/images/armadaxp/, running the netinst with defaults fails after the system tries to reboot into the installed system.

We see:

[ 40.337033] Failed to execute /init
[ 40.340715] Kernel panic - not syncing: No init found. Try passing init= option to kernel. See Linux Documentation/init.txt for guidance.
[ 40.353234] [<c0015a5c>] (unwind_backtrace+0x0/0xec) from [<c06d1e28>] (dump_stack+0x20/0x24)

And then the kernel continues spewing messages forever.

I am using the following to boot the netinst:

bootp
setenv serverip 10.193.37.1
tftp 0x2000000 rbasak/uImage
tftp 0x1100000 rbasak/uInitrd
setenv bootargs console=ttyS0,115200 pm_disable earlyprintk=ttyS0 DEBIAN_FRONTEND=text
bootm 0x2000000 0x1100000

I am using the following to boot into the installed system:

ide reset
ext2load ide 0:1 0x2000000 /uImage
ext2load ide 0:1 0x1100000 /uInitrd
setenv bootargs console=ttyS0,115200 earlyprintk=ttyS0 root=/dev/sda1 ro
bootm 0x2000000 0x1100000

This is a regression. Our automated install system has also broken with the same results and has not been changed. I reproduced this manually (without preseeding) to make reproduction steps easier for this bug report.

My console log is attached.

Robie Basak (racb) wrote :
visibility: private → public
mahmoh (mahmoh) wrote :

Problem init attached:

mahmoh (mahmoh) on 2012-04-17
Changed in eilt:
assignee: nobody → Adam Conrad (adconrad)
Adam Conrad (adconrad) on 2012-04-17
Changed in debian-installer (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in initramfs-tools (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Changed in debian-installer (Ubuntu):
importance: Undecided → Critical
Changed in initramfs-tools (Ubuntu):
importance: Undecided → Critical
Changed in debian-installer (Ubuntu):
status: New → In Progress
Changed in initramfs-tools (Ubuntu):
status: New → In Progress
Tobin Davis (gruemaster) on 2012-04-17
Changed in debian-installer (Ubuntu):
status: In Progress → Invalid
Changed in eglibc (Ubuntu):
importance: Undecided → Critical
assignee: nobody → Adam Conrad (adconrad)
status: New → In Progress
mahmoh (mahmoh) on 2012-04-17
summary: - netinst d-i fails on armadaxp
+ netinst d-i fails on armhf
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.99ubuntu13

---------------
initramfs-tools (0.99ubuntu13) precise; urgency=low

  * Deal with the uniquely broken situation of armhf having two linkers
    by creating both if we find either one in the target (LP: #984007)
 -- Adam Conrad <email address hidden> Tue, 17 Apr 2012 11:44:12 -0600

Changed in initramfs-tools (Ubuntu):
status: In Progress → Fix Released
mahmoh (mahmoh) wrote :

Confirmed Fixed::

# uname -a
Linux armadaxp3 3.2.0-1602-armadaxp #5-Ubuntu SMP Thu Apr 5 13:27:03 UTC 2012 armv7l armv7l armv7l GNU/Linux
# dpkg -l | grep init | grep tools
ii initramfs-tools 0.99ubuntu13 tools for generating an initramfs
ii initramfs-tools-bin 0.99ubuntu13 binaries used by initramfs-tools
ii module-init-tools 3.16-1ubuntu2 tools for managing Linux kernel modules

Changed in eglibc (Ubuntu):
status: In Progress → Invalid
Changed in eilt:
status: Confirmed → Fix Released
tags: added: cqa-verified
mahmoh (mahmoh) on 2012-04-17
Changed in eglibc (Ubuntu):
status: Invalid → In Progress
Adam Conrad (adconrad) on 2012-04-18
no longer affects: eglibc (Ubuntu)
Changed in debian-installer (Ubuntu):
status: Invalid → In Progress
Adam Conrad (adconrad) on 2012-04-18
Changed in mklibs (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mklibs - 0.1.33ubuntu3

---------------
mklibs (0.1.33ubuntu3) precise; urgency=low

  * Ignore claims of NEEDED *@ld-linux.so.3 symbols, as this completely
    confuses armhf's double linker situation, and doing so doesn't
    break armel (or anything else with a linker by that SONAME), as
    linkers are treated specially and copied anyway (LP: #984007)
 -- Adam Conrad <email address hidden> Tue, 17 Apr 2012 22:51:00 -0600

Changed in mklibs (Ubuntu):
status: In Progress → Fix Released
Adam Conrad (adconrad) on 2012-04-18
Changed in mklibs (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
importance: Undecided → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu134

---------------
debian-installer (20101020ubuntu134) precise; urgency=low

  * Call mklibs with a hardcoded --ldlib in armhf.cfg, so we get a
    deterministic result in our linker search, and then add the
    symlink from the old linker path in build/Makefile (LP: #984007)
  * Rebuild with latest omap4 kernels for ext2 support (LP: #984180)
 -- Adam Conrad <email address hidden> Tue, 17 Apr 2012 23:20:29 -0600

Changed in debian-installer (Ubuntu):
status: In Progress → Fix Released
Robie Basak (racb) wrote :

Verified fixed on armadaxp/armhf and verified not broken the install on omap4/armhf and omap4/armel (panda).

Thanks Adam!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers